"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const node_css_require_1 = require("node-css-require");
const cssServerPlugin = (opts) => {
    return {
        name: 'css-plugin-server',
        setup: (build) => {
            build.onLoad({
                filter: /\.css$/,
            }, async (args) => {
                const text = await fs_1.default.promises.readFile(args.path, 'utf8');
                const res = (0, node_css_require_1.compileCss)(text, args.path, opts === null || opts === void 0 ? void 0 : opts.cssConfig);
                const js = res.js;
                if (opts === null || opts === void 0 ? void 0 : opts.onCSSGenerated) {
                    opts.onCSSGenerated(res.css);
                }
                return {
                    contents: js,
                    loader: 'js',
                };
            });
        },
    };
};
const pluginFactory = (opts) => {
    return cssServerPlugin(opts);
};
exports.default = pluginFactory;
//# sourceMappingURL=esbuildCssModulesServerPlugin.js.map